%define src_ver 1.3.2000.08.07
%define languagelocal dansk
%define languageeng danish
%define languagecode da

Summary: 	Danish files for ispell
Summary(da): Dansk stave kontrol til ispell
Name: 		ispell-%{languagecode} 
Version: 	1.3.0
Release: 	8mdk
URL: 		http://da.sslug.dk/locale/ispell/idanish-1.3.0/index.html
Source:		http://www.sslug.dk/locale/ispell/autobuild/idanish-%{src_ver}.tar.gz
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

Obsoletes: ispell-dansk
Obsoletes: ispell-danish
Obsoletes: idanish

%description
ispell-dansk is spelling data in Danish which is used by
ispell program. With this extension, you can compose a document
in Danish and check for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%description -l da
Ispell-da er dansk stave kontrol til ispell programmet.
Med denne stave kontrol kan du lave dokumenter i dansk og
lede efter stave fejl nemt.

Ispell kan bruges direkte fra konsollen til at kontrolere
en fil og i flere tekst programmer, som LyX, etc.

%prep
%setup -n idanish-%{src_ver}
mv -f dansk.ufrdig.ispell %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc COPYING Copyright bidragydere readme.da.html readme.en.html
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.3.0-8mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.3.0-7mdk
- Cleaned up the spec and moved to standard template.

* Mon Aug 07 2000 Troels Liebe Bentsen <tlb@iname.com> 1.3.0-6mdk
- Upgraded to new version and move the hash compilation down under %post,
- to save space and make it true noarch.
- Moved da description to po cvs file.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.0-5mdk
- BM

* Sun Apr 09 2000 Troels Liebe Bentsen 1.3.0-4mdk
- Upgraded to new version.

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.0-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- changed name to ispell-es to standardize naming

* Wed Nov 03 1999 Troels Liebe Bentsen <tlb@iname.com>
- updated to 1.3.0 beta.

* Sun Oct 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with ispell-3.1.20-7mdk (which uses a MASKBITS of 64)

* Fri Oct 08 1999 Troels Liebe Bentsen<tlb@iname.com>
- First version for Mandrake
